LSCLOCKS(1)

NAMN
lsclocks - visa systemklockor

SYNOPSIS

lsclocks [flagga]

BESKRIVNING

lsclocks är ett enkelt kommando för att visa systemklockor.

It allows to display information like current time and resolution of clocks. Different kinds of clocks are supported.

    • POSIX clocks: CLOCK_MONOTONIC, CLOCK_REALTIME, CLOCK_BOOTTIME, etc.

    • CPU clocks: clock_getcpuclockid(3).

    • PTP clocks: /dev/ptp0.

    • RTC clocks: /dev/rtc0.

    • Auxiliary clocks: CLOCK_AUX0, CLOCK_AUX1, etc.

FLAGGOR

-J, --json
    Använd JSON-utdataformat.

-n, --noheadings
    Skriv inte ut rubriker.

-o, --output lista
    Ange vilka utdatakolumner som ska skrivas ut. Se avsnittet OUTPUT COLUMNS för information om tillgängliga kolumner.

--output-all
    Skriv ut alla kolumner.

-r, --raw
    Använd råformat för utdata.

-t, --time clock
    Visa aktuell tid för en specifik klocka.

--no-discover-dynamic
    Försök inte att upptäcka dynamiska klockor.

-d, --dynamic-clock sökväg
    Visar även angiven dynamisk klocka. Kan anges flera gånger.

--no-discover-rtc
    Försök inte att upptäcka RTC:er.

-x, --rtc sökväg
    Visar även angiven RTC. Kan anges flera gånger.

-c, --cpu-clock pid
    Visar även CPU-klockan för angiven process. Kan anges flera gånger.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

LSCLOCKS_COLUMNS=
    Specifies a comma-separated list of output columns to print. All columns listed in OUTPUT COLUMNS can be used.

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

UTMATNINGSKOLUMNER

Varje kolumn har en typ. Typerna omges av < och >.

TYP <sträng>
    Typ av klocka.

ID <nummer>
    Numeriskt klock-ID.

CLOCK <sträng>
    Namn i formen CLOCK_

NAMN <sträng>
    Kortare, mer lättläst namn.

TIME <nummer>
    Current clock timestamp as returned by clock_gettime(2).

ISO_TIME <sträng>
    ISO8601-formaterad version av TIME.

RESOL_RAW <nummer>
    Klockupplösning som returneras av clock_getres(2).

RESOL <nummer>
    Mänsklig läsbar version av RESOL_RAW.

REL_TIME <sträng>
    TIME tid formaterad som tidsintervall.

NS_OFFSET <nummer>
    Offset för den aktuella namnrymden till den överordnade namnrymden som läses från /proc/self/timens_offsets.

UPPHOVSPERSONER

SE ÄVEN

clock_getres(2) clock_gettime(2)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot lsclocks ingår i paketet util-linux som kan hämtas från